﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinTree;

namespace WT_BindToEmptyDataTable
{
    public partial class Form1 : Form
    {
        DataTable dt;
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            dt = new DataTable();

            dt.Columns.Add("First Column", typeof(string));
            dt.Columns.Add("Second Column", typeof(string));

            dt.Rows.Add(new object[] { "Dummy Node","Dummy Node"});

            ultraTree1.Override.ShowExpansionIndicator = ShowExpansionIndicator.CheckOnDisplay;
            ultraTree1.DrawFilter = new CustomDrawFilter();

            ultraTree1.DataSource = dt;

        }

        private void ultraButton1_Click(object sender, EventArgs e)
        {
            dt.Rows.Clear();

            for (int i = 0; i < 10; i++)
            {
                dt.Rows.Add(new object[] { "First Column. Row " + i, "Second Column. Row " + i });
            }

            ultraTree1.DataSource = dt;
            ultraTree1.DrawFilter = null;
            ultraTree1.Override.ShowExpansionIndicator = ShowExpansionIndicator.Always;
        }
    }
}
